function [xa,aa,b]=acuts(x,a,alpha)

%       [XA,AA,B]=ACUTS(X,A,ALPHA) Strong alpha-cut of fuzzy set A.
%       Strong alpha-cut of a fuzzy set A is a classical set
%       {x,Ax=alpha}, alpha is from <0,1>.
%
%       XA is the strong alpha-cut, AA are membership grades of XA
%       elements and B is A.*(A>ALPHA).
%
%       See also ACUT, ALEVEL.

% (c) Robert Babuska, March 1993

i = (a > alpha);
xa = x(i); aa = a(i);
b = a.*i;

