function y=dil(x,dtype)
%       Y = DIL(X) dilution defined as DIL(A) = 2*Ax - Ax^2
%
%       Y = DIL(X,'za') dilation according to Zadeh, defined as
%       DIL(A) = sqrt(Ax)
%
%
%       See also CONC, POWER, EXT, INTSF, PLUS, MINUS, NORMAL.

% (c) Robert Babuska, March 1993

if (nargin > 1)
  y = sqrt(x);
else
  y = 2*x - x.^2;
end;

