% Demonstration of rule chaining with fuzzy relational composition

% (c) Robert Babuska, March 1994

figs = get(0,'Children');
if ~any(figs == 1), figure('menubar','none', 'units', 'normal', 'position', [0.0049 0.7005 0.2480 0.2591]); 
else clf; end; 
set(1, 'menubar','none', 'visible', 'on', 'units', 'normal', 'position',[0.0049 0.7005 0.2480 0.2591],...
	         'Name','Fuzzy input', 'NumberTitle','off');
if ~any(figs == 2), figure('menubar','none', 'units', 'normal', 'position', [0.2559 0.7018 0.2480 0.2591]); 
else clf; end;
set(2, 'menubar','none', 'visible','on', 'units', 'normal', 'position', [0.2559 0.7018 0.2480 0.2591],...
		 'Name','Fuzzy output', 'NumberTitle','off');
if ~any(figs == 3), figure('menubar','none', 'units', 'normal', 'position', [0.5010 0.7018 0.2471 0.2591]); 
else clf; end;
set(3, 'menubar','none', 'visible','on', 'units', 'normal', 'position', [0.5010 0.7018 0.2471 0.2591],...
		 'Name','Defuzzification', 'NumberTitle','off');
if ~any(figs == 4), figure('menubar','none', 'units', 'normal', 'position', [0.7480 0.8177 0.2480 0.2604]); 
else clf; end;
set(4, 'menubar','none', 'visible','on', 'units', 'normal', 'position', [0.7471 0.7018 0.2480 0.2591],...
		 'Name','Crisp output', 'NumberTitle','off');

MFN = 10;
dominp = 0:0.1:1;
domout = 0:0.1:1;
mfinp = mfequ(dominp,2,MFN);
mfout = mfequ(domout,2,MFN);
mfout = [mfout(1,:); mfout(1:MFN-1,:)];
ainp = mgrade(dominp,mfinp);
aout = mgrade(domout,mfout);

R = zeros(length(dominp));
for i = 1 : MFN,
  R = max(R,impl_md(ainp(i,:)',aout(i,:)));
end;
relation;
