function  [sys, x0]  = sfunpaus(t,x,u,flag,sec)
% SFUNPAUS an S-function which pauses simulation.
%
%       This M-file is designed to be used in a SIMULINK S-function block.
%	
%       The input arguments are
%       sec:            Number of seconds to pause or an empty matrix
%                       which makes the block to wait for a key.

% (c) Robert Babuska, December 1993

if abs(flag) == 2       % state
sys = 1;
if length(sec) == 0, pause; else pause(sec); end;

elseif flag  == 0,
  % [cont, discr, outputs, inputs, roots, feedthrough]
  sys = [0, 1, 0, 1, 0, 0];
  x0 = 1;
else
    sys = [];
end

