function c = impl_wi(a,b)
%   IMPL_RE(A,B)  Reichenbach's implication defined as:
%
%       impl_re(A,B) = 1 - Ax + Ax*Bx
%
%   See also IMPL_BG, IMPL_GO, IMPL_KD, IMPL_LA, IMPL_LU, IMPL_MD,
%            IMPL_RS, IMPL_WI.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;

c = 1 - a + a.*b;

