function [xk,b]=ker(x,a)
%       [XK,B]=KER(X,A) returns the kernel of fuzzy set A.
%       Kernel of a fuzzy set is a classical set {x; Ax=1},
%       i.e. the same as ALEVEL(X,A,1).
%
%       XK is the kernel, and B is A.*(A==1).
%
%       See also SUPP, HGT, CROSSOVR.

% (c) Robert Babuska, March 1993

i = (a >= 1-1e-4 & a <= 1+1e-4);
xk = x(i);
b = a.*i;

