function b=not_su(a,l)
%       B=NOT_SU(A,lambda) Complement of a fuzzy set, defined by Sugeno
%       as Bx = (1 - Ax)/(1 + lambda*Ax).
%
%	If A is a matrix, i.e. a vector of fuzzy sets, lambda must be 
%	a scalar. If A is a vector, i.e. a single fuzzy set, lambda
%	can be a vector.
%
%       See also NOT, NOT_YA, NOT_ZA

% (c) Robert Babuska, March 1993

ll = length(l);
if ll == 1,
  b = (1 - a)./(1 + l*a);
else
  b = (1 - ones(ll,1)*a)./(1 + l(:)*a);
end;
