function b=not_ya(a,w)
%       B=NOT_YA(A,w) Complement of a fuzzy set, defined by Yager
%       as Bx = (1 - Ax^w)^(1/w).
%
%	If A is a matrix, i.e. a vector of fuzzy sets, w must be 
%	a scalar. If A is a vector, i.e. a single fuzzy set, w can 
%	be a vector.
%
%       See also NOT, NOT_SU, NOT_ZA

% (c) Robert Babuska, March 1993

lw = length(w);
if lw == 1,
  b = (1 - a.^w).^(1/w);
else
  for i = lw : -1 : 1,
    b(i,:) = (1 - a.^w(i)).^(1/w(i));
  end;
end;
